
	subroutine MINANG(Rsun2,Rmoon2,radm,D,ang)

C given Vectors from satellite to sun (Rsun2) and moon (Rmoon2),
C the Moon's radius (radm) and a star sensors unit pointing vector (D) 
C program returns minimum angle (ang) pointing vector is from illuminated moon. 
C Program works equally well for the earth
C
C Introduce frame X3: X3 axis points towards moon from satellite
C                     Z3 axis at right angles to sun and moon direction
C                     Y3 such that X3,Y3 and Z3 RH system

	implicit none	

	integer var,var2,iter 

	double precision Rsun2(3),Rmoon2(3),radm,D(3),Rsm2(3)
	double precision Rsun3(3),Rmoon3(3)
	double precision angsm,z(3),i(3),j(3),k(3),n1(3),n2(3)
	double precision rot(3,3),D3(3)
	double precision rlimb3(3),pi,dr,rd,dp,ang,theta,radm2
	double precision angdm,angm,dist,ang1,ang2,ratio,ang3


	real Ax,Bx,Cx,Fa,Fb,Fc
	real xmin,func
	external func
	common /cblock/theta,rlimb3,rmoon3,d3,radm2,ang1,ang3,iter

	radm2=radm

	pi=3.141592654
	dr=pi/180.0d0
	rd=1/dr

	call DOTP(rmoon2,rmoon2,dist,ang)
	dist=dsqrt(dist)

	angm=rd*dasin(radm/dist)


	call DOTP(rmoon2,d,dp,ang2)


	if(ang2.le.angm) then

	 ang=1000.0d0

	else


 	 call DIFF(Rmoon2,Rsun2,Rsm2)
	 call DOTP(Rsm2,Rmoon2,dp,angsm)
	 call Norm(Rmoon2,i)
	 i(1)=-1.0d0*i(1)
	 i(2)=-1.0d0*i(2)
	 i(3)=-1.0d0*i(3)
	 call Norm(Rmoon2,n1)
	 call Norm(Rsun2,n2)
	 call VECP(n1,n2,z)
	 call NORM(z,k)
	 call VECP(k,i,j)



	  rot(1,1)=i(1)
	  rot(1,2)=i(2)
	  rot(1,3)=i(3)

	  rot(2,1)=j(1)
	  rot(2,2)=j(2)
	  rot(2,3)=j(3)

	  rot(3,1)=k(1)
	  rot(3,2)=k(2)
	  rot(3,3)=k(3)


	 do var=1,3

	  rsun3(var) = 0.0d0
	  rmoon3(var)= 0.0d0
	  D3(var)    = 0.0d0

	 do var2=1,3

	   rsun3(var) = rsun3(var)  + rot(var,var2)*rsun2(var2)
	   rmoon3(var)= rmoon3(var) + rot(var,var2)*rmoon2(var2)
	   D3(var)    = D3(var)     + rot(var,var2)*D(var2)

	  end do
	 end do



	ang3=rd*dacos(radm/dist)



	do iter=1,2


	 if(iter.eq.1) then
	     theta=(90.0d0-angsm)
	     ratio=dcos(ang3*dr)/dcos(theta*dr)
	   if(ratio.lt.1.0d0) then
	     ang1=rd*dacos(ratio)
	   else
	     ang=ang2-angm
	     goto 1000
	   end if
	 else
	   ang1=ang3
	 end if


  	     ax=-ang1/2.0d0
	     bx=ax/2.0d0
	     cx=0.0

	 call MNBRAK(ax,bx,cx,fa,fb,fc,func)
	 call GOLDEN(ax,bx,cx,func,1.0e-4,xmin)

	   if(iter.eq.1) then
	      angdm=func(xmin)
	        ang=angdm
	   else 
	      angdm=func(xmin)
	    if(angdm.lt.ang) then
	       ang=angdm
	    end if
	   end if

	
	end do

	end if

1000	continue



	return

	end
