C*LOOKUP -- find entry in table of integers
C+
      INTEGER FUNCTION LOOKUP (ENTRY,TABLE,N)
      INTEGER ENTRY
      INTEGER N
      INTEGER TABLE(N)
C
C Find an entry in a table of integers by simple linear search.
C
C Arguments:
C  ENTRY  (input) : the value to be found.
C  TABLE  (input) : the table to be searched.
C  N      (input) : number of elements in TABLE.
C
C Returns:
C  LOOKUP         : if entry is found, LOOKUP receives the first
C                   subscript I such that ENTRY = TABLE(I); otherwise
C                   it receives 0.
C
C History:
C  1978 Mar  7 - TJP.
C  1987 Nov 12 - convert to standard Fortran-77 (TJP).
C-----------------------------------------------------------------------
      INTEGER I
C
      DO 10 I=1,N
          IF (ENTRY.EQ.TABLE(I)) GOTO 20
   10 CONTINUE
      I = 0
   20 LOOKUP = I
C
      END
